Bug 1307878 - protostream: FTBFS in rawhide
protostream: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: protostream (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:03 EST by Fedora Release Engineering
Modified: 2016-03-01 06:34 EST (History)
3 users (show)

See Also:
Fixed In Version: protostream-1.0.0-0.10.Alpha7.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 06:34:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (7.42 KB, text/plain)
2016-02-13 17:03 EST, Fedora Release Engineering
no flags Details
root.log (131.80 KB, text/plain)
2016-02-13 17:03 EST, Fedora Release Engineering
no flags Details
state.log (673 bytes, text/plain)
2016-02-13 17:03 EST, Fedora Release Engineering
no flags Details
BR: protobuf-compiler (#1307878) (1.33 KB, patch)
2016-03-01 01:11 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:03:24 EST
Your package protostream failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12857519

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:03:26 EST
Created attachment 1125695 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:03:27 EST
Created attachment 1125696 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:03:28 EST
Created attachment 1125697 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:00:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 17:38:33 EST
[ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.4.0:exec (default) on project sample-domain-definition: Command execution failed. Cannot run program "protoc" (in directory "/builddir/build/BUILD/protostream-1.0.0.Alpha7/sample-domain-definition/target"): error=2, No such file or directory -> [Help 1]

Missing BuildRequires: protobuf-compiler (something else used to pull it in but no longer does).
Comment 6 Yaakov Selkowitz 2016-03-01 01:11 EST
Created attachment 1131799 [details]
BR: protobuf-compiler (#1307878)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13185353
Comment 7 gil cattaneo 2016-03-01 06:34:50 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13187859

Note You need to log in before you can comment on or make changes to this bug.